Package org.apache.sling.cms.core.internal.jobs

## Class OptimizeFilesJob

- java.lang.Object
- - org.apache.sling.cms.ConfigurableJobExecutor
  - - org.apache.sling.cms.core.internal.jobs.OptimizeFilesJob

All Implemented Interfaces:
  `org.apache.sling.event.jobs.consumer.JobExecutor`

    public class OptimizeFilesJob
    extends ConfigurableJobExecutor

Implementation of the Configurable Job Executor interface to optimize files

### Field Summary

Fields
`static org.slf4j.Logger` `log`
`static String` `TOPIC`

### Fields inherited from interface org.apache.sling.event.jobs.consumer.JobExecutor

`PROPERTY_TOPICS`

### Constructor Summary

Constructors
`OptimizeFilesJob()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.event.jobs.consumer.JobExecutionResult` `doProcess​(org.apache.sling.event.jobs.Job job, org.apache.sling.event.jobs.consumer.JobExecutionContext context, org.apache.sling.api.resource.ResourceResolver resolver)`
`String` `getConfigurationPath()`
`org.apache.sling.api.resource.ResourceResolverFactory` `getResolverFactory()`
`String` `getTitleKey()`
`String` `getTopic()`

### Methods inherited from class org.apache.sling.cms.ConfigurableJobExecutor

`process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    public static final org.slf4j.Logger log

#### TOPIC

    public static final String TOPIC

See Also:
  Constant Field Values

### Constructor Detail

#### OptimizeFilesJob

    public OptimizeFilesJob()

### Method Detail

#### doProcess

    public org.apache.sling.event.jobs.consumer.JobExecutionResult doProcess​(org.apache.sling.event.jobs.Job job,
                                                                             org.apache.sling.event.jobs.consumer.JobExecutionContext context,
                                                                             org.apache.sling.api.resource.ResourceResolver resolver)

Specified by:
  `doProcess` in class `ConfigurableJobExecutor`

#### getConfigurationPath

    public String getConfigurationPath()

Specified by:
  `getConfigurationPath` in class `ConfigurableJobExecutor`

#### getResolverFactory

    public org.apache.sling.api.resource.ResourceResolverFactory getResolverFactory()

Specified by:
  `getResolverFactory` in class `ConfigurableJobExecutor`

#### getTitleKey

    public String getTitleKey()

Specified by:
  `getTitleKey` in class `ConfigurableJobExecutor`

#### getTopic

    public String getTopic()

Specified by:
  `getTopic` in class `ConfigurableJobExecutor`